Commit 0cd89214 authored by Helga Velroyen's avatar Helga Velroyen
Browse files

Update NEWS file regarding disk types



This patch extends the NEWS file describing the essential user-facing
changes in this patch series.
Signed-off-by: default avatarHelga Velroyen <helgav@google.com>
Reviewed-by: default avatarMichele Tartara <mtarara@google.com>
parent 3da6e141
...@@ -11,13 +11,15 @@ Version 2.8.0 beta1 ...@@ -11,13 +11,15 @@ Version 2.8.0 beta1
- The :doc:`Remote API <rapi>` daemon now supports a command line flag - The :doc:`Remote API <rapi>` daemon now supports a command line flag
to always require authentication, ``--require-authentication``. It can to always require authentication, ``--require-authentication``. It can
be specified in ``$sysconfdir/default/ganeti``. be specified in ``$sysconfdir/default/ganeti``.
- A new cluster attribute 'enabled_storage_types' is introduced. It will - A new cluster attribute 'enabled_disk_templates' is introduced. It will
be used to manage the storage types to be used by instances in the cluster. be used to manage the disk templates to be used by instances in the cluster.
Initially, it will be set to a list that includes lvm, file and sharedfile Initially, it will be set to a list that includes plain, drbd, if they were
if those are enabled. Additionally, it will include all storage types that enabled by specifying a volume group name, and file and sharedfile, if those
are currently used by instances. The order of storage types will be based were enabled at configure time. Additionally, it will include all disk
on Ganeti's history of supporting them. In the future, the first entry of templates that are currently used by instances. The order of disk templates
the list will be used as a default storage type on instance creation. will be based on Ganeti's history of supporting them. In the future, the
first entry of the list will be used as a default disk template on instance
creation.
- ``cfgupgrade`` now supports a ``--downgrade`` option to bring the - ``cfgupgrade`` now supports a ``--downgrade`` option to bring the
configuration back to the previous stable version. configuration back to the previous stable version.
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment